package lib;

/**
	Macros with static information.
**/
class BuildInfo {
	/**
		Get the latest git commit.
	**/
	public static function getGitCommitHash():String {
		#if !display
			return CompileTime.buildGitCommitSha();
		#end
		return "";
	}

	/**
		Get the time the file was build.
	**/
	public static function buildTime():Date {
		#if !display
		return CompileTime.buildDate();
		#else
		return 0;
		#end
	}
}
